<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_object_info Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__object__info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_object_info Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a88cde4f12a226fd4d835a680e6dc9a7a"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__object__info.html#a88cde4f12a226fd4d835a680e6dc9a7a">interface_name</a></td></tr>
<tr class="separator:a88cde4f12a226fd4d835a680e6dc9a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b6af08ddea0fb36aab47ee89b5f6c57"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__object__info.html#a8b6af08ddea0fb36aab47ee89b5f6c57">device_name</a></td></tr>
<tr class="separator:a8b6af08ddea0fb36aab47ee89b5f6c57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71b958249adff7eae518d6479e6a866d"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__object__info.html#a71b958249adff7eae518d6479e6a866d">device_type</a></td></tr>
<tr class="separator:a71b958249adff7eae518d6479e6a866d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5d6ca326317d7141a502fdb7c9f6085"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structmcm__object__info.html">mcm_object_info</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__object__info.html#ab5d6ca326317d7141a502fdb7c9f6085">next</a></td></tr>
<tr class="separator:ab5d6ca326317d7141a502fdb7c9f6085"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="structmcm__object__info.html">mcm_object_info</a> </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a8b6af08ddea0fb36aab47ee89b5f6c57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b6af08ddea0fb36aab47ee89b5f6c57">&#9670;&nbsp;</a></span>device_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mcm_object_info::device_name</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device name </p>

</div>
</div>
<a id="a71b958249adff7eae518d6479e6a866d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71b958249adff7eae518d6479e6a866d">&#9670;&nbsp;</a></span>device_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mcm_object_info::device_type</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device type </p>

</div>
</div>
<a id="a88cde4f12a226fd4d835a680e6dc9a7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88cde4f12a226fd4d835a680e6dc9a7a">&#9670;&nbsp;</a></span>interface_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mcm_object_info::interface_name</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>name </p>

</div>
</div>
<a id="ab5d6ca326317d7141a502fdb7c9f6085"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5d6ca326317d7141a502fdb7c9f6085">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structmcm__object__info.html">mcm_object_info</a>* mcm_object_info::next</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>linked-list </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
